<template>
  <div
      v-if="status === filter"
      @click.stop="choseTask"
      class="single-task"
  >
    <p>{{ status }}</p>
    <p>{{ task.body }}</p>
  </div>
</template>

<script>
export default {
  name: "Task",
  props: {status: String, filter: String, id: Number, task: Object},
  methods: {
    choseTask(e) {
      e.preventDefault();
      if (
          this.$route.path !== `/board/${this.$route.params.board_id}/${this.id}`
      ) {
        this.$router.push(`/board/${this.$route.params.board_id}/${this.id}`);
        this.$emit("clicked");
      }
    },
  },
};
</script>

<style scoped>
.single-task {
  width: 300px;
  min-height: 250px;
  border: 1px solid black;
  border-radius: 25px;
  margin: 5px;
}

p {
  margin: 0;
}
</style>
